Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.tarification.helper
Class ResponseHelper

    java.lang.Object
      be.ehealth.businessconnector.tarification.helper.ResponseHelper

All Implemented Interfaces:
  ConfigurationModuleBootstrap.ModuleBootstrapHook

    public final class ResponseHelper

extends Object
implements ConfigurationModuleBootstrap.ModuleBootstrapHook

Helper providing methods to validate the content of the response of a registration.

Constructor Summary
`ResponseHelper()` only for bootstrapping purposes.

Method Summary
`void` | `bootstrap()`
`static RetrieveTransactionResponse` | `toObject(byte[] responseContent)` Return the jaxb object for a
`static void` | `validateResponse(RetrieveTransactionResponse responseContent)` Test if the jaxb object match the xsd rules. if not, an exception is throwed RegisterToMycarenetServiceResponse response = session.registerToMycarenetService(request); ResponseHelper.validateResponse(ResponseHelper.toObject(response.getReturn().getDetail().getValue()));

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResponseHelper

    public ResponseHelper()

  only for bootstrapping purposes.

Method Detail

### validateResponse

    public static void validateResponse(RetrieveTransactionResponse responseContent)
                                 throws TechnicalConnectorException

  Test if the jaxb object match the xsd rules. if not, an exception is throwed RegisterToMycarenetServiceResponse response = session.registerToMycarenetService(request); ResponseHelper.validateResponse(ResponseHelper.toObject(response.getReturn().getDetail().getValue()));

  Parameters:
    `responseContent` -
  Throws:
    `TechnicalConnectorException` - if it contains code TechnicalConnectorExceptionValues.ERROR_XML_INVALID , it indicates a problem with the received xsd

### toObject

    public static RetrieveTransactionResponse toObject(byte[] responseContent)

  Return the jaxb object for a

  Parameters:
    `responseContent` -
  Returns:
    jaxb object converted from content of the response of a registration

### bootstrap

    public void bootstrap()

  Specified by:
    `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.